/**
 * 
 */
package com.ff.apimngr.controller;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.ff.apimngr.entity.ApiVersion;
import com.ff.apimngr.service.ApiVersionService;

import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

/**
 * @author wookvn
 *
 */
@RestController
@RequestMapping("/api/apiversion")
public class ApiVersionController {
	
	@Autowired
    private ApiVersionService apiVersionService;

	@ApiOperation(value = "根据apiId获取列表", tags = "接口版本管理")
	@GetMapping(value = "/list")
	public Map<String, Object> list(@ApiParam(value = "接口id", required = true) @RequestParam Integer apiId) {
		List<ApiVersion> datalist = apiVersionService.list(apiId);
		Map<String, Object> result = new HashMap<>();
		result.put("data", datalist);
		result.put("code", 10000);
		result.put("message", "获取成功");
		return result;
	}
}
