package com.ff.apimngr.dao;

import com.ff.apimngr.entity.AppApi;
import com.ff.apimngr.entity.GeneralService;
import com.ff.apimngr.entity.SelectTimes;
import com.ff.apimngr.entity.SelectUserTimes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface AppApiMapper {


    /**
     * 根据id查找
     * @param id
     * @return
     */
    AppApi findById(Integer id);

    /**
     * 根据姓名查找
     * @param name
     * @return
     */
    AppApi findByName(String name);

    /**
     * 插入
     * @param appApi
     * @return
     */
    boolean insert(AppApi appApi);

    /**
     * 更新
     * @param appApi
     * @return
     */
    boolean update(AppApi appApi);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据tag搜索列表
     * @param tag
     * @return
     */
    List<AppApi> listAppApis(@Param("tag") String tag);

    List<AppApi> listAll();

    /**
     * 根据appId搜索列表
     * @param appId
     * @return
     */
    List<AppApi> listAppApisByAppId(@Param("appId") Integer appId,@Param("userId") Integer userId);

    /**
     * 根据当前用户搜索接口列表
     * @param userId
     * @return
     */
    List<AppApi> listAllMyApis(@Param("userId") Integer userId);

    /**
     * 根据apiId搜索列表
     * @param apiId
     * @return
     */
    List<AppApi> listAppApisByApiId(@Param("apiId") Integer apiId);

    /**
     * 根据appId删除列表
     * @param appId
     * @return
     */
    boolean deleteAppApisByAppId(@Param("appId") Integer appId);

    /**
     * 获取概览页面可用服务列表
     * @param userId
     * @return
     */
    List<GeneralService> selectGeneralService(@Param("userId") Integer userId);

    /**
     * 获取应用的接口调用剩余次数
     * @param appId
     * @return
     */
    List<SelectTimes> selectTimes(@Param("appId") Integer appId);
    List<SelectUserTimes> selectUserTimes(@Param("userId") Integer userId);

    List<Integer> getCheckApiList(@Param("appId") Integer appId);

    List<AppApi> listAppApisByAppIdDev(@Param("appId") Integer appId,@Param("userId") Integer userId);

    Integer getListByAppId(@Param("appId")  Integer appId);

}
