package com.ff.apimngr.dao;

import com.ff.apimngr.entity.AppType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface AppTypeMapper {


    /**
     * 根据id查找
     * @param id
     * @return
     */
    AppType findById(Integer id);

    /**
     * 根据姓名查找
     * @param name
     * @return
     */
    AppType findByName(String name);

    /**
     * 插入
     * @param appType
     * @return
     */
    boolean insert(AppType appType);

    /**
     * 更新
     * @param appType
     * @return
     */
    boolean update(AppType appType);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据tag搜索列表
     * @param tag
     * @return
     */
    List<AppType> listAppTypes(@Param("tag") String tag);
}
