package com.ff.apimngr.dao;

import com.ff.apimngr.entity.Auth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface AuthMapper {


    /**
     * 根据id查找
     * @param id
     * @return
     */
    Auth findById(Integer id);

    /**
     * 插入
     * @param auth
     * @return
     */
    boolean insert(Auth auth);

    /**
     * 更新
     * @param auth
     * @return
     */
    boolean update(Auth auth);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据roleId删除
     * @param roleId
     * @return
     */
    boolean deleteByRoleId(@Param("roleId")Integer roleId);

    /**
     * 根据roleId搜索所有权限
     * @param roleId
     * @return
     */
    List<Auth> listByRoleId(@Param("roleId")Integer roleId);

}
