package com.ff.apimngr.dao;

import com.ff.apimngr.entity.QpsApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;


@Mapper
public interface QpsApplyMapper {


    /**
     * 根据id查找
     * @param id
     * @return
     */
    QpsApply findById(Integer id);

    /**
     * 根据姓名查找
     * @param name
     * @return
     */
    QpsApply findByName(String name);

    /**
     * 插入
     * @param appType
     * @return
     */
    Integer insert(QpsApply appType);

    /**
     * 更新
     * @param appType
     * @return
     */
    boolean update(QpsApply appType);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据tag搜索列表
     * @param tag
     * @return
     */
    List<QpsApply> listQpsApplys(@Param("tag") String tag);

    /**
     * 根据tag状态搜索列表
     * @param tag
     * @return
     */
    List<HashMap> listQpsApplyByTag(@Param("tag") Integer tag);
}
