package com.ff.apimngr.dao;

import com.ff.apimngr.entity.SmsLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface SmsLogMapper {


    /**
     * 根据id查找
     * @param id
     * @return
     */
    SmsLog findById(Integer id);

    /**
     * 根据姓名查找
     * @param phone
     * @return
     */
    SmsLog findByPhone(String phone);

    /**
     * 插入
     * @param smsLog
     * @return
     */
    boolean insert(SmsLog smsLog);

    /**
     * 更新
     * @param smsLog
     * @return
     */
    boolean update(SmsLog smsLog);

    /**
     * 根据id删除
     * @param id
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据tag搜索列表
     * @param tag
     * @return
     */
    List<SmsLog> listSmsLogs(@Param("tag") String tag);

    /**
     * 查询今日已发送几条短信
     * @param phone
     * @param beginTime
     * @param endTime
     * @return
     */
    Integer listCount(@Param("phone") String phone,@Param("beginTime") String beginTime, @Param("endTime") String endTime);
}
