package com.ff.apimngr.dao;

import com.ff.apimngr.entity.SystemLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface SystemLogMapper {

    /**
     * 根据id查找
     *
     * @param id
     * @return
     */
    SystemLog findById(Integer id);

    /**
     * 插入
     *
     * @param systemLog
     * @return
     */
    boolean insert(SystemLog systemLog);

    /**
     * 更新
     *
     * @param systemLog
     * @return
     */
    boolean update(SystemLog systemLog);

    /**
     * 根据id删除
     *
     * @param id
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据tag搜索列表
     *
     * @param tag
     * @return
     */
    List<SystemLog> listSystemLogs(@Param("tag") String tag, @Param("beginTime") String beginTime, @Param("endTime") String endTime);


}
