package com.ff.apimngr.dao;

import com.ff.apimngr.entity.TopDeveloper;
import com.ff.apimngr.entity.User;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


@Mapper
public interface UserMapper {

    //@Select("select *from user where name = #{name}")
    //User findByName(@Param("name") String name);

    /**
     * 根据id查找用户
     *
     * @param id
     * @return
     */
    User findUserById(Integer id);

    /**
     * 根据姓名查找用户
     *
     * @param name
     * @return
     */
    User findUserByName(String name);

    /**
     * 根据帐号查找用户
     *
     * @param account
     * @return
     */
    User findUserByAccount(String account);

    /**
     * 根据手机号查找用户
     *
     * @param phone
     * @return
     */
    User findUserByPhone(String phone);

    /**
     * 插入用户
     *
     * @param user
     * @return
     */
    boolean insertUser(User user);

    /**
     * 更新用户
     *
     * @param user
     * @return
     */
    boolean updateUser(User user);

    /**
     * 根据id删除用户
     *
     * @param id
     * @return
     */
    boolean deleteUserById(Integer id);

    /**
     * @param tag
     * @param status
     * @return
     */
    List<User> listUsers(@Param("tag") String tag, @Param("status") Integer status, @Param("type") Integer type);

    List<User> listAllDevelopers();

    int getAllNum();
    int getTodayActiveNum(@Param("startTime") String startTime);
    int getMonthActiveNum(@Param("startTime") Long startTime);
    int getAlarmNum();
    int getAbnormalNum();
    int getIllegalNum();
    List<TopDeveloper> getTopTenDevelopers(@Param("startDate") String startDate,@Param("endDate") String endDate);

    /**
     * 管理员页面 根据 活跃状态
     *
     * @param tag
     * @param callValue 使用频率状态
     * @parm beginTime 开始时间
     * @param endTime 结束时间
     * @param statusValue 活跃状态
     * @param alarmValue 预警状态
     * @return
     */
    List<User> listUsersByAdmin(@Param("tag") String tag, @Param("callValue") Integer callValue, @Param("beginTime") Long beginTime,@Param("endTime") Long endTime, @Param("statusValue") Integer statusValue, @Param("alarmValue") Integer alarmValue, @Param("type") Integer type);
}
