package com.ff.apimngr.service;

import java.util.List;
import java.util.UUID;

import javax.annotation.Resource;

import com.ff.apimngr.entity.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import com.ff.apimngr.dao.ApiMapper;

@Service
public class ApiService {

    @Resource
    private ApiMapper apiMapper;
    
    @Value("${api.domain}")
    private String apiDomain;
    
    public int incrBrowserCount(Integer id) {
    	return apiMapper.incrBrowserCount(id);
    }

    public Api findApiById(Integer id) {
        return apiMapper.findById(id);
    }

    public Api findApiByName(String name) {
        return apiMapper.findByName(name);
    }


    public boolean insertApi(Api api)
    {
        boolean flag = apiMapper.insert(api);
//        System.err.println(JSON.toJSONString(api));
        api= apiMapper.findByName(api.getName());
        String cgiUrl=apiDomain+(UUID.randomUUID().toString().replace("-",""))+"/"+api.getId();
        api.setCgiUrl(cgiUrl);
        api.setDocUrl(cgiUrl);
        apiMapper.update(api);

        return  flag;
    }

    public boolean updateApi(Api api) {
        return apiMapper.update(api);
    }

    public boolean deleteApiById(Integer id) {
        return apiMapper.deleteById(id);
    }

    public List<Api> listApis(String tag, Integer status,Integer apiTypeId) {
        return apiMapper.listApis(tag, status,apiTypeId);
    }

    public List<Api> listApisByType(Integer apiTypeId) {
        return apiMapper.listApisByType(apiTypeId);
    }

    public List<Api> listApisByTypeAndRoleId(Integer apiTypeId,Integer roleId) {
        return apiMapper.listApisByTypeAndRoleId(apiTypeId,roleId);
    }

    public List<Api> listApi(String tag, Integer accreditStatus, Integer status, Integer roleId,Integer apiTypeId) {
        return apiMapper.listApi(tag, accreditStatus,status, roleId,apiTypeId);
    }

    public int getAllApiNum() {
        return apiMapper.getAllApiNum();
    }
    public Integer getApplyNum(List<Integer> userId) {
        return apiMapper.getApplyNum(userId);
    }
    public int getPublishedApiNum() {
        return apiMapper.getPublishedApiNum();
    }
    public int getUnPublishedApiNum() {
        return apiMapper.getUnPublishedApiNum();
    }
    public int getTodayCallNum(Long startTime) {
        return apiMapper.getTodayCallNum(startTime);
    }
    public int getAlarmApiNum() {
        return apiMapper.getAlarmApiNum();
    }
    public int getAbnormalApiNum() {
        return apiMapper.getAbnormalApiNum();
    }
    public List<TopApi> getTopTenApis( List<Integer> appIds,List<Integer> apiIds, List<Integer> userIds, Integer type) {
        return apiMapper.getTopTenApis(appIds, apiIds,userIds,type);
    }
    
    public int getInvokeApiNum(Integer id) {
    	return apiMapper.getInvokeApiNum(id);
    }
    public int getCollectApiNum(Integer id) {
    	return apiMapper.getCollectApiNum(id);
    }

    public List<ApplyVO> getApplyList(Integer userId, String apiName, Integer apiType) {
        return  apiMapper.getApplyList(userId,apiName,apiType);
    }

    public List<ExamineVO> getExamineList(Integer status, String userName){
        return apiMapper.getExamineList(status,userName);

    }

    public List<Api> listApiManage(String tag, Integer accreditStatus, Integer roleId, Integer apiTypeId,Integer userId) {
        return apiMapper.listApiManage(tag, accreditStatus, roleId,apiTypeId,userId);
    }
}
