package com.ff.apimngr.service;

import com.ff.apimngr.dao.AppTypeMapper;
import com.ff.apimngr.entity.AppType;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class AppTypeService {

    @Resource
    private AppTypeMapper appTypeMapper;

    public AppType findAppTypeById(Integer id){
        return appTypeMapper.findById(id);
    }

    public AppType findAppTypeByName(String name) {
        return appTypeMapper.findByName(name);
    }


    public boolean insertAppType(AppType appType) {
        return appTypeMapper.insert(appType);
    }

    public boolean updateAppType(AppType appType) {
        return appTypeMapper.update(appType);
    }

    public boolean deleteAppTypeById(Integer id) {
        return appTypeMapper.deleteById(id);
    }

    public List<AppType> listAppTypes(String tag) {
        return appTypeMapper.listAppTypes(tag);
    }
}
