package com.ff.apimngr.service;

import com.ff.apimngr.dao.RoleMapper;
import com.ff.apimngr.entity.Role;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class RoleService {

    @Resource
    private RoleMapper roleMapper;

    public Role findRoleById(Integer id){
        return roleMapper.findById(id);
    }

    public Role findRoleByName(String name) {
        return roleMapper.findByName(name);
    }


    public boolean insertRole(Role role) {
        return roleMapper.insert(role);
    }

    public boolean updateRole(Role role) {
        return roleMapper.update(role);
    }

    public boolean deleteRoleById(Integer id) {
        return roleMapper.deleteById(id);
    }

    public List<Role> listRoles(String tag) {
        return roleMapper.listRoles(tag);
    }

    public List<Role> getRoleList() {
        return roleMapper.getRoleList();
    }
}
